﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{89422F13-2C19-4257-9474-6CC64026D8AC}</ProjectGuid>
    <RootNamespace>Dev_Environment</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup />
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(ProjectDir)Modules\General\04_StaticData\inc;$(ProjectDir)Modules\Det\04_StaticData\inc;$(ProjectDir)Modules\Det\03_GenData\inc;$(ProjectDir);$(ProjectDir)..\..\02_Software\03_GenData\inc;$(ProjectDir)..\..\02_Software\04_StaticData\inc;$(ProjectDir)Modules\Crc\04_StaticData\inc;$(ProjectDir)Modules\Crc\03_GenData\inc;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <AdditionalIncludeDirectories>$(ProjectDir)Modules\General\04_StaticData\inc;$(ProjectDir)Modules\Det\04_StaticData\inc;$(ProjectDir)Modules\Det\03_GenData\inc;$(ProjectDir);$(ProjectDir)..\..\Nvm\03_GenData\inc;$(ProjectDir)..\..\Nvm\04_StaticData\inc;$(ProjectDir)Modules\Crc\04_StaticData\inc;$(ProjectDir)Modules\Crc\03_GenData\inc;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
    </ClCompile>
    <Link>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\02_Software\03_GenData\src\Nvm_PBCfg.c" />
    <ClCompile Include="..\..\02_Software\03_GenData\src\Nvm.c" />
    <ClCompile Include="..\..\02_Software\04_StaticData\src\Nvm_Int.c" />
    <ClCompile Include="..\..\02_Software\04_StaticData\src\Nvm_RequestList.c" />
    <ClCompile Include="main.c" />
    <ClCompile Include="Modules\Crc\03_GenData\src\Crc_PBCfg.c" />
    <ClCompile Include="Modules\Crc\04_StaticData\src\Crc.c" />
    <ClCompile Include="Modules\Crc\04_StaticData\src\Crc32_0x04C11DB7.c" />
    <ClCompile Include="Modules\Det\04_StaticData\src\Det.c" />
    <ClCompile Include="stubs.c" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\02_Software\03_GenData\inc\Nvm_MemMap.h" />
    <ClInclude Include="..\..\02_Software\03_GenData\inc\Nvm_PBCfg.h" />
    <ClInclude Include="..\..\02_Software\04_StaticData\inc\Nvm.h" />
    <ClInclude Include="..\..\02_Software\04_StaticData\inc\Nvm_Int.h" />
    <ClInclude Include="..\..\02_Software\04_StaticData\inc\Nvm_RequestList.h" />
    <ClInclude Include="..\..\02_Software\04_StaticData\inc\Nvm_Types.h" />
    <ClInclude Include="MemMap.h" />
    <ClInclude Include="Modules\Crc\03_GenData\inc\Crc_MemMap.h" />
    <ClInclude Include="Modules\Crc\03_GenData\inc\Crc_PBCfg.h" />
    <ClInclude Include="Modules\Crc\04_StaticData\inc\Crc.h" />
    <ClInclude Include="Modules\Crc\04_StaticData\inc\Crc32_0x04C11DB7.h" />
    <ClInclude Include="Modules\Crc\04_StaticData\inc\Crc_Types.h" />
    <ClInclude Include="Modules\Det\03_GenData\inc\Det_Cfg.h" />
    <ClInclude Include="Modules\Det\03_GenData\inc\Det_MemMap.h" />
    <ClInclude Include="Modules\Det\04_StaticData\inc\Det.h" />
    <ClInclude Include="Modules\General\04_StaticData\inc\Std_Types.h" />
    <ClInclude Include="Rte_Cfg.h" />
    <ClInclude Include="Rte_Nvm.h" />
    <ClInclude Include="Rte_Types.h" />
    <ClInclude Include="stubs.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>